View Issue Details

IDCategoryLast Update
0000025features2004-05-16 05:23
ReportertaybinAssigned Topaul 
ReproducibilityN/A 
Status closedResolutionfixed 
Product Version 
Fixed in Version 
Summary0000025: selection
Description    - BBT-based ranges to be removed
    - some way to select a track
    - rubber-banding for region selection
    - selecting something of type X cancels the selection
       of type Y
TagsNo tags attached.

Activities

taybin

2003-10-21 00:21

administrator   ~0000028

From Paul's CVS commit message:

new selection stuff, based on copious discussion between myself and marek + jesse. basically, left-click in object mode just about always always selects the clicked upon object. shift-click to add a new object or remove a currently selected object. this is mostly for regions at this point in time, not other kinds of objects.

Is it satisfactory?

paul

2003-10-21 01:51

administrator   ~0000032

a lot of selection related matters are still outstanding:

 - no more music time ranges
 - everything related to automation selection
 - rubber band based selection

taybin

2004-02-03 17:45

administrator   ~0000382

How 'bout now?

taybin

2004-05-07 00:09

administrator   ~0000695

Okay, how 'bout now? :)

paul

2004-05-16 05:23

administrator   ~0000734

we still have lots of stuff to do with the selection model, but this bug report should be considered resolved and closed.

paul

2004-05-16 05:23

administrator   ~0000735

ok.

Issue History

Date Modified Username Field Change
2003-09-24 13:16 taybin New Issue
2003-10-21 00:21 taybin Note Added: 0000028
2003-10-21 00:21 taybin Status new => feedback
2003-10-21 01:51 paul Note Added: 0000032
2004-02-03 17:45 taybin Note Added: 0000382
2004-05-07 00:09 taybin Note Added: 0000695
2004-05-16 05:23 paul Status feedback => resolved
2004-05-16 05:23 paul Resolution open => fixed
2004-05-16 05:23 paul Assigned To => paul
2004-05-16 05:23 paul Note Added: 0000734
2004-05-16 05:23 paul Status resolved => closed
2004-05-16 05:23 paul Note Added: 0000735